### File

`packages/components/eui-toggle-group/eui-toggle-group.component.ts`

### Description

Component for grouping multiple buttons together with optional checkbox or radio button behavior.

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-toggle-group`
styleUrls | `./eui-toggle-group.scss`
template |
    <ng-content/>

### Index

###### Properties
items
###### Inputs
isFluid isMultiple
###### Outputs
itemClick
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isFluid
Type : `boolean`
Default value : `false`

isMultiple
Type : `boolean`
Default value : `false`
Whether the several items can be checked

### Outputs

itemClick
Type : `EventEmitter<EuiToggleGroupItemComponent>`
Event emitted when any item in the group is clicked Emits the clicked EuiToggleGroupItemComponent instance

### HostBindings

class
Type : `string`
CSS classes applied to the host element

### Properties

items
Type : `QueryList<EuiToggleGroupItemComponent>`
Decorators : `@ContentChildren(undefined)`
Query list of all EuiButtonComponent instances within the group

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element Returns : `string`

# results matching ""

# No results matching ""